LdapAuthenticationAsyncRule after upgrade to ES 5.4


#1

hi,
after upgrading to es 5.4 the elastic log is filling (dozens of messages every second) with warning messages :

[2017-08-30T13:08:16,877] [WARN][o.e.p.r.a.b.r.i.LdapAuthenticationAsyncRule] Basic auth header not present!

i’m using ror 1.16.8

please advise


(Simone Scarduzio) #2

Hi @sdba2, looks like we have wrong log levels. Thanks! I just committed a fix, will be back with a build for you to test real soon.


(Simone Scarduzio) #3

what ES version do you have precisely? I’ll leave here the 5.4.3 build with this fix


#4

the version i’m using is 5.4.0


(Simone Scarduzio) #5

https://readonlyrest-data.s3-eu-west-1.amazonaws.com/build/1.16.10-pre7/readonlyrest-1.16.10-pre7_es5.4.0.zip?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAJEKIPNTOTIVGQ4EQ/20170831/eu-west-1/s3/aws4_request&X-Amz-Date=20170831T091824Z&X-Amz-Expires=604800&X-Amz-SignedHeaders=host&X-Amz-Signature=883a6d6716ce696cf4d397427b7ebc0765f7bd0c63f9873e0f4ebbe5b66382a8


#6

thank you. no more messages